[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#97809: general: Wrong dependencies

Package: general
Version: 20010517
Severity: important


I have some problem concerning /etc/apt/sources.list: I use a Debian Sid
with daily update from mirrors and I, sometimes, freeze new packages in
a CD set.
So my /etc/apt/sources.list is a list of "cdrom" entries (reading CD with
"apt-cdrom"), a list of "file" and a list of "http/ftp" entries.
Since some week, I get these kind of errors from the dselect/install

Sorry, but the following packages have unmet dependencies:
  libfreetype6: Conflicts: freetype but it is not installable
  passwd: Conflicts: suidregister (< 0.50) but it is not installable

The dependencies are correct... the select stage works well... the only
way to solve this problem is to install manually the updates (with dpkg)
or to remove some CD from the list.
It seems that many entries in sources.list (I now use about eight CD,
three file and two http/ftp entries) confuse apt.
How can I help you to solve the problem?

Thank you, Leonardo Macchia.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux garisenda 2.4.3 #1 Tue Apr 24 20:26:25 CEST 2001 i686 unknown

Reply to: